{% extends 'pages/pages_base.html.twig' %}
{% form_theme registrationForm _self %}

{% block title %} {{ title }} {% endblock %}

{%- block form_row -%}
    {%- set widget_attr = {} -%}
    {%- if help is not empty -%}
        {%- set widget_attr = {attr: {'aria-describedby': id ~"_help"}} -%}
    {%- endif -%}
    <div{% with {attr: {class: 'form-fild'}} %}{{ block('attributes') }}{% endwith %}>
        <p>
            {{- form_label(form) -}} <span class="required"> *</span>
        </p>
{#        {{- form_errors(form) -}}#}
        {{- form_widget(form, widget_attr) -}}
        {{- form_help(form) -}}
    </div>
{%- endblock form_row -%}

{% block pages_body %}

    <div class="login-register-area pt-100 pb-70">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 offset-lg-3">
                    <div class="customer-login-register register-pt-0">
                        <div class="form-register-title">
                            <h2>{{ title }}</h2>
                        </div>

                        <div class="register-form">

                            {{ form_start(registrationForm, {'attr': {novalidate: 'novalidate'}}) }}

                                {{ form_widget(registrationForm) }}

                                <div class="register-submit">
                                    <button type="submit" class="form-button">Register</button>
                                </div>

                            {{ form_end(registrationForm) }}

                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
